diff -Pru postfix.old/Makefile postfix/Makefile
--- postfix.old/Makefile	Tue Sep  9 10:35:10 2003
+++ postfix/Makefile	Wed Oct  1 10:39:41 2003
@@ -15,7 +15,7 @@
 # NOTE: PCRE is enabled by default unless you specifically disable it.
 
 PORTNAME=	postfix
-PORTVERSION=	2.0.15
+PORTVERSION=	2.0.16
 PORTEPOCH=	1
 CATEGORIES=	mail ipv6
 MASTER_SITES=	ftp://ftp.porcupine.org/mirrors/postfix-release/official/ \
@@ -27,6 +27,8 @@
 MASTER_SITE_SUBDIR=	. old related/postfix
 DISTNAME=	postfix-${PORTVERSION}
 DIST_SUBDIR=	${PORTNAME}
+PATCH_SITES=	${MASTER_SITES}
+PATCHFILES=	postfix-2.0-ns-mx-acl-patch.gz
 
 MAINTAINER=	khera@kciLink.com
 COMMENT=	A secure alternative to widely-used Sendmail
diff -Pru postfix.old/distinfo postfix/distinfo
--- postfix.old/distinfo	Tue Sep  9 10:35:10 2003
+++ postfix/distinfo	Wed Oct  1 11:08:13 2003
@@ -1,5 +1,6 @@
-MD5 (postfix/postfix-2.0.15.tar.gz) = 723c2b7f67016e0c19b0e1aa08dad246
-MD5 (postfix/pfixtls-0.8.15-2.0.13-0.9.7b.tar.gz) = 298f55e2d896a0240f5913a3b611e623
+MD5 (postfix/postfix-2.0.16.tar.gz) = ac13776442ba7708e683bc1bfbadab2f
+MD5 (postfix/postfix-2.0-ns-mx-acl-patch.gz) = 55a3d76d52fddd5cd0365004957a1160
+MD5 (postfix/pfixtls-0.8.16-2.0.16-0.9.7b.tar.gz) = b39c08eabe807db4af5bcb1cafc9761e
 MD5 (postfix/postfix-pg.postfix-2.0.0.2.patch) = 5a0aa5ef6a231a593eb6c5628236a3e4
-MD5 (postfix/ipv6-1.17-pf-2.0.14.patch.gz) = 5dbafae86744c1893d1d3c52b3cdbcb7
-MD5 (postfix/tls+ipv6-1.17-pf-2.0.14.patch.gz) = aba3c1d230f1591e7f7f8c426ce6b2fc
+MD5 (postfix/ipv6-1.18a-pf-2.0.16.patch.gz) = 8e0b85c6c131d367dc5b0d0d95e7e2c1
+MD5 (postfix/tls+ipv6-1.18a-pf-2.0.16.patch.gz) = b32876b1a02d3a8f6a93a66e574ddee7
diff -Pru postfix.old/scripts/configure.postfix postfix/scripts/configure.postfix
--- postfix.old/scripts/configure.postfix	Wed Aug 27 16:19:58 2003
+++ postfix/scripts/configure.postfix	Wed Oct  1 11:02:13 2003
@@ -106,8 +106,8 @@
 			echo "USE_OPENSSL=	yes"
 			echo "POSTFIX_CCARGS+=	-DHAS_SSL -I\${OPENSSLINC}"
 			echo "POSTFIX_AUXLIBS+=	-L\${OPENSSLLIB} -lssl -lcrypto"
-			echo "DISTFILES+=	\${DISTNAME}.tar.gz pfixtls-0.8.15-2.0.13-0.9.7b.tar.gz"
-			echo "EXTRA_PATCHES+=	\${WRKDIR}/pfixtls-0.8.15-2.0.13-0.9.7b/pfixtls.diff"
+			echo "DISTFILES+=	\${DISTNAME}.tar.gz pfixtls-0.8.16-2.0.16-0.9.7b.tar.gz"
+			echo "EXTRA_PATCHES+=	\${WRKDIR}/pfixtls-0.8.16-2.0.16-0.9.7b/pfixtls.diff"
 			echo "PATCH_STRIP=	-p1"
 			echo "TLS_SUFFIX=	+tls"
 			SUB_TLS=""
@@ -203,7 +203,7 @@
 				exit 1
 			fi
 			echo "PATCH_SITES+=	http://www.ipnet6.org/postfix/download/"
-			echo "PATCHFILES+=	ipv6-1.17-pf-2.0.14.patch.gz"
+			echo "PATCHFILES+=	ipv6-1.18a-pf-2.0.16.patch.gz"
 			echo "PATCH_DIST_STRIP=	-p1"
 			echo "IPv6_SUFFIX=	+ipv6"
 			echo ""
@@ -221,7 +221,7 @@
 			echo "POSTFIX_CCARGS+=	-DHAS_SSL -I\${OPENSSLINC}"
 			echo "POSTFIX_AUXLIBS+=	-L\${OPENSSLLIB} -lssl -lcrypto"
 			echo "PATCH_SITES+=	http://www.ipnet6.org/postfix/download/"
-			echo "PATCHFILES+=	tls+ipv6-1.17-pf-2.0.14.patch.gz"
+			echo "PATCHFILES+=	tls+ipv6-1.18a-pf-2.0.16.patch.gz"
 			echo "PATCH_DIST_STRIP=	-p1"
 			echo "TLS_SUFFIX=	+tls+ipv6"
 			SUB_TLS=""
